import java.io.*;

public class Keyboard
{
  public static String stringInput( )
  {
    String rueck;

    try
    {
      DataInput t = new DataInputStream( System.in );
      rueck = t.readLine();
    }

    catch (IOException e){return null;};
    return rueck;
  }


  public static int intInput( )
  {
    boolean t=false;
    int rueck;
    String temp;

    do
    {
      temp = stringInput();

      try
      {
        rueck = Integer.parseInt(temp);
        t = true;
      }

      catch(NumberFormatException e)
      {
        t=false;
        System.out.println ("Fehler! Bitte Integer-Zahl eingeben!");
        rueck = 0;
      }

    }
    while (t ==false);

    return rueck;
  }


  public static double doubleInput( )
  {
    String temp;
    double rueck;
    boolean t=false;

    do
    {
      temp=stringInput();

      try
      {
        rueck = Double.parseDouble(temp);
        t = true;
      }

      catch(NumberFormatException e)
      {
        System.out.println ("Fehler! Bitte Fliesskommazahl eingeben!");
        rueck = 0;
      }

    }
    while (t ==false);
    return rueck;
  }
}